(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     26421,        882]
NotebookOptionsPosition[     24851,        821]
NotebookOutlinePosition[     25208,        837]
CellTagsIndexPosition[     25165,        834]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"rotatematrix", "[", 
   RowBox[{"theta_", ",", "ux_", ",", "uy_", ",", "uz_"}], "]"}], "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Cos", "[", "theta", "]"}], "+", 
       RowBox[{
        RowBox[{"ux", "^", "2"}], "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "theta", "]"}]}], ")"}]}]}], ",", 
      RowBox[{
       RowBox[{"ux", "*", "uy", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "theta", "]"}]}], ")"}]}], "-", 
       RowBox[{"uz", "*", 
        RowBox[{"Sin", "[", "theta", "]"}]}]}], ",", 
      RowBox[{
       RowBox[{"ux", "*", "uz", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "theta", "]"}]}], ")"}]}], "+", 
       RowBox[{"uy", "*", 
        RowBox[{"Sin", "[", "theta", "]"}]}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"uy", "*", "ux", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "theta", "]"}]}], ")"}]}], "+", 
       RowBox[{"uz", "*", 
        RowBox[{"Sin", "[", "theta", "]"}]}]}], ",", 
      RowBox[{
       RowBox[{"Cos", "[", "theta", "]"}], "+", 
       RowBox[{
        RowBox[{"uy", "^", "2"}], "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "theta", "]"}]}], ")"}]}]}], ",", 
      RowBox[{
       RowBox[{"uy", "*", "uz", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "theta", "]"}]}], ")"}]}], "-", 
       RowBox[{"ux", "*", 
        RowBox[{"Sin", "[", "theta", "]"}]}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"uz", "*", "ux", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "theta", "]"}]}], ")"}]}], "-", 
       RowBox[{"uy", "*", 
        RowBox[{"Sin", "[", "theta", "]"}]}]}], ",", 
      RowBox[{
       RowBox[{"uz", "*", "uy", "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "theta", "]"}]}], ")"}]}], "+", 
       RowBox[{"ux", "*", 
        RowBox[{"Sin", "[", "theta", "]"}]}]}], ",", 
      RowBox[{
       RowBox[{"Cos", "[", "theta", "]"}], "+", 
       RowBox[{
        RowBox[{"uz", "^", "2"}], "*", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "theta", "]"}]}], ")"}]}]}]}], "}"}]}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.647799880778639*^9, 3.647800113009489*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["ux", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"Cos", "[", "theta", "]"}]}], ")"}]}], "+", 
      RowBox[{"Cos", "[", "theta", "]"}]}], ",", 
     RowBox[{
      RowBox[{"ux", " ", "uy", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"Cos", "[", "theta", "]"}]}], ")"}]}], "-", 
      RowBox[{"uz", " ", 
       RowBox[{"Sin", "[", "theta", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"ux", " ", "uz", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"Cos", "[", "theta", "]"}]}], ")"}]}], "+", 
      RowBox[{"uy", " ", 
       RowBox[{"Sin", "[", "theta", "]"}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"ux", " ", "uy", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"Cos", "[", "theta", "]"}]}], ")"}]}], "+", 
      RowBox[{"uz", " ", 
       RowBox[{"Sin", "[", "theta", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["uy", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"Cos", "[", "theta", "]"}]}], ")"}]}], "+", 
      RowBox[{"Cos", "[", "theta", "]"}]}], ",", 
     RowBox[{
      RowBox[{"uy", " ", "uz", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"Cos", "[", "theta", "]"}]}], ")"}]}], "-", 
      RowBox[{"ux", " ", 
       RowBox[{"Sin", "[", "theta", "]"}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"ux", " ", "uz", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"Cos", "[", "theta", "]"}]}], ")"}]}], "-", 
      RowBox[{"uy", " ", 
       RowBox[{"Sin", "[", "theta", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"uy", " ", "uz", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"Cos", "[", "theta", "]"}]}], ")"}]}], "+", 
      RowBox[{"ux", " ", 
       RowBox[{"Sin", "[", "theta", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["uz", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"Cos", "[", "theta", "]"}]}], ")"}]}], "+", 
      RowBox[{"Cos", "[", "theta", "]"}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.647800114232608*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"rotatematrix", "[", 
   RowBox[{"t", ",", "ux", ",", "uy", ",", "uz"}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.6478477776623783`*^9, 3.647847797767601*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{
        SuperscriptBox["ux", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "t", "]"}]}], ")"}]}], "+", 
       RowBox[{"Cos", "[", "t", "]"}]}], 
      RowBox[{
       RowBox[{"ux", " ", "uy", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "t", "]"}]}], ")"}]}], "-", 
       RowBox[{"uz", " ", 
        RowBox[{"Sin", "[", "t", "]"}]}]}], 
      RowBox[{
       RowBox[{"ux", " ", "uz", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "t", "]"}]}], ")"}]}], "+", 
       RowBox[{"uy", " ", 
        RowBox[{"Sin", "[", "t", "]"}]}]}]},
     {
      RowBox[{
       RowBox[{"ux", " ", "uy", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "t", "]"}]}], ")"}]}], "+", 
       RowBox[{"uz", " ", 
        RowBox[{"Sin", "[", "t", "]"}]}]}], 
      RowBox[{
       RowBox[{
        SuperscriptBox["uy", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "t", "]"}]}], ")"}]}], "+", 
       RowBox[{"Cos", "[", "t", "]"}]}], 
      RowBox[{
       RowBox[{"uy", " ", "uz", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "t", "]"}]}], ")"}]}], "-", 
       RowBox[{"ux", " ", 
        RowBox[{"Sin", "[", "t", "]"}]}]}]},
     {
      RowBox[{
       RowBox[{"ux", " ", "uz", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "t", "]"}]}], ")"}]}], "-", 
       RowBox[{"uy", " ", 
        RowBox[{"Sin", "[", "t", "]"}]}]}], 
      RowBox[{
       RowBox[{"uy", " ", "uz", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "t", "]"}]}], ")"}]}], "+", 
       RowBox[{"ux", " ", 
        RowBox[{"Sin", "[", "t", "]"}]}]}], 
      RowBox[{
       RowBox[{
        SuperscriptBox["uz", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "t", "]"}]}], ")"}]}], "+", 
       RowBox[{"Cos", "[", "t", "]"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.647847787686425*^9, 3.647847799369131*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"rotatematrix", "[", 
   RowBox[{"0", ",", "ux", ",", "uy", ",", "uz"}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.647847656586026*^9, 3.647847705359919*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0"},
     {"0", "1", "0"},
     {"0", "0", "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.647847667173236*^9, 3.647847706506116*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"rotatematrix", "[", 
   RowBox[{"t", ",", "0", ",", "0", ",", "1"}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.647847677107689*^9, 3.647847739447896*^9}, {
  3.647847805291684*^9, 3.647847805779366*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "t", "]"}], 
      RowBox[{"-", 
       RowBox[{"Sin", "[", "t", "]"}]}], "0"},
     {
      RowBox[{"Sin", "[", "t", "]"}], 
      RowBox[{"Cos", "[", "t", "]"}], "0"},
     {"0", "0", "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.647847691119698*^9, 3.6478477399594717`*^9}, 
   3.647847806255459*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"rotatematrix", "[", 
   RowBox[{"t", ",", "0", ",", "1", ",", "0"}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.6478477192771893`*^9, 3.647847734903698*^9}, {
  3.647847808107774*^9, 3.647847808603621*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "t", "]"}], "0", 
      RowBox[{"Sin", "[", "t", "]"}]},
     {"0", "1", "0"},
     {
      RowBox[{"-", 
       RowBox[{"Sin", "[", "t", "]"}]}], "0", 
      RowBox[{"Cos", "[", "t", "]"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.647847735596105*^9, 3.647847808970955*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"rotatematrix", "[", 
   RowBox[{"t", ",", "1", ",", "0", ",", "0"}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.6478477460537024`*^9, 3.6478477574870567`*^9}, {
  3.647847810939822*^9, 3.647847811426063*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0"},
     {"0", 
      RowBox[{"Cos", "[", "t", "]"}], 
      RowBox[{"-", 
       RowBox[{"Sin", "[", "t", "]"}]}]},
     {"0", 
      RowBox[{"Sin", "[", "t", "]"}], 
      RowBox[{"Cos", "[", "t", "]"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.647847758182295*^9, 3.64784781207071*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"axis", "=", 
  RowBox[{"Cross", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"ox", ",", "oy", ",", "oz"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"nx", ",", "ny", ",", "nz"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.647800342442317*^9, 3.6478003643756237`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"nz", " ", "oy"}], "-", 
    RowBox[{"ny", " ", "oz"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "nz"}], " ", "ox"}], "+", 
    RowBox[{"nx", " ", "oz"}]}], ",", 
   RowBox[{
    RowBox[{"ny", " ", "ox"}], "-", 
    RowBox[{"nx", " ", "oy"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.647800365877243*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"chi", "=", 
  RowBox[{"ArcCos", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"ox", ",", "oy", ",", "oz"}], "}"}], ".", 
    RowBox[{"{", 
     RowBox[{"nx", ",", "ny", ",", "nz"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.647800544929475*^9, 3.6478005723490868`*^9}}],

Cell[BoxData[
 RowBox[{"ArcCos", "[", 
  RowBox[{
   RowBox[{"nx", " ", "ox"}], "+", 
   RowBox[{"ny", " ", "oy"}], "+", 
   RowBox[{"nz", " ", "oz"}]}], "]"}]], "Output",
 CellChangeTimes->{3.647800573776881*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"answer", "=", 
  RowBox[{"rotatematrix", "[", 
   RowBox[{"chi", ",", 
    RowBox[{"axis", "[", 
     RowBox[{"[", "1", "]"}], "]"}], ",", 
    RowBox[{"axis", "[", 
     RowBox[{"[", "2", "]"}], "]"}], ",", 
    RowBox[{"axis", "[", 
     RowBox[{"[", "3", "]"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6478524805369473`*^9, 3.647852502553137*^9}, {
  3.647852553717873*^9, 3.6478525685787487`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"nx", " ", "ox"}], "+", 
      RowBox[{"ny", " ", "oy"}], "+", 
      RowBox[{"nz", " ", "oz"}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"nz", " ", "oy"}], "-", 
          RowBox[{"ny", " ", "oz"}]}], ")"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"nx", " ", "ox"}], "-", 
         RowBox[{"ny", " ", "oy"}], "-", 
         RowBox[{"nz", " ", "oz"}]}], ")"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "nz"}], " ", "ox"}], "+", 
         RowBox[{"nx", " ", "oz"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"nz", " ", "oy"}], "-", 
         RowBox[{"ny", " ", "oz"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"nx", " ", "ox"}], "-", 
         RowBox[{"ny", " ", "oy"}], "-", 
         RowBox[{"nz", " ", "oz"}]}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"ny", " ", "ox"}], "-", 
         RowBox[{"nx", " ", "oy"}]}], ")"}], " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"nx", " ", "ox"}], "+", 
            RowBox[{"ny", " ", "oy"}], "+", 
            RowBox[{"nz", " ", "oz"}]}], ")"}], "2"]}]]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"ny", " ", "ox"}], "-", 
         RowBox[{"nx", " ", "oy"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"nz", " ", "oy"}], "-", 
         RowBox[{"ny", " ", "oz"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"nx", " ", "ox"}], "-", 
         RowBox[{"ny", " ", "oy"}], "-", 
         RowBox[{"nz", " ", "oz"}]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "nz"}], " ", "ox"}], "+", 
         RowBox[{"nx", " ", "oz"}]}], ")"}], " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"nx", " ", "ox"}], "+", 
            RowBox[{"ny", " ", "oy"}], "+", 
            RowBox[{"nz", " ", "oz"}]}], ")"}], "2"]}]]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "nz"}], " ", "ox"}], "+", 
         RowBox[{"nx", " ", "oz"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"nz", " ", "oy"}], "-", 
         RowBox[{"ny", " ", "oz"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"nx", " ", "ox"}], "-", 
         RowBox[{"ny", " ", "oy"}], "-", 
         RowBox[{"nz", " ", "oz"}]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"ny", " ", "ox"}], "-", 
         RowBox[{"nx", " ", "oy"}]}], ")"}], " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"nx", " ", "ox"}], "+", 
            RowBox[{"ny", " ", "oy"}], "+", 
            RowBox[{"nz", " ", "oz"}]}], ")"}], "2"]}]]}]}], ",", 
     RowBox[{
      RowBox[{"nx", " ", "ox"}], "+", 
      RowBox[{"ny", " ", "oy"}], "+", 
      RowBox[{"nz", " ", "oz"}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "nz"}], " ", "ox"}], "+", 
          RowBox[{"nx", " ", "oz"}]}], ")"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"nx", " ", "ox"}], "-", 
         RowBox[{"ny", " ", "oy"}], "-", 
         RowBox[{"nz", " ", "oz"}]}], ")"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"ny", " ", "ox"}], "-", 
         RowBox[{"nx", " ", "oy"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "nz"}], " ", "ox"}], "+", 
         RowBox[{"nx", " ", "oz"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"nx", " ", "ox"}], "-", 
         RowBox[{"ny", " ", "oy"}], "-", 
         RowBox[{"nz", " ", "oz"}]}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"nz", " ", "oy"}], "-", 
         RowBox[{"ny", " ", "oz"}]}], ")"}], " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"nx", " ", "ox"}], "+", 
            RowBox[{"ny", " ", "oy"}], "+", 
            RowBox[{"nz", " ", "oz"}]}], ")"}], "2"]}]]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"ny", " ", "ox"}], "-", 
         RowBox[{"nx", " ", "oy"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"nz", " ", "oy"}], "-", 
         RowBox[{"ny", " ", "oz"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"nx", " ", "ox"}], "-", 
         RowBox[{"ny", " ", "oy"}], "-", 
         RowBox[{"nz", " ", "oz"}]}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "nz"}], " ", "ox"}], "+", 
         RowBox[{"nx", " ", "oz"}]}], ")"}], " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"nx", " ", "ox"}], "+", 
            RowBox[{"ny", " ", "oy"}], "+", 
            RowBox[{"nz", " ", "oz"}]}], ")"}], "2"]}]]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"ny", " ", "ox"}], "-", 
         RowBox[{"nx", " ", "oy"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "nz"}], " ", "ox"}], "+", 
         RowBox[{"nx", " ", "oz"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"nx", " ", "ox"}], "-", 
         RowBox[{"ny", " ", "oy"}], "-", 
         RowBox[{"nz", " ", "oz"}]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"nz", " ", "oy"}], "-", 
         RowBox[{"ny", " ", "oz"}]}], ")"}], " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"nx", " ", "ox"}], "+", 
            RowBox[{"ny", " ", "oy"}], "+", 
            RowBox[{"nz", " ", "oz"}]}], ")"}], "2"]}]]}]}], ",", 
     RowBox[{
      RowBox[{"nx", " ", "ox"}], "+", 
      RowBox[{"ny", " ", "oy"}], "+", 
      RowBox[{"nz", " ", "oz"}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"ny", " ", "ox"}], "-", 
          RowBox[{"nx", " ", "oy"}]}], ")"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"nx", " ", "ox"}], "-", 
         RowBox[{"ny", " ", "oy"}], "-", 
         RowBox[{"nz", " ", "oz"}]}], ")"}]}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.647852504958075*^9, {3.6478525564617043`*^9, 3.647852569086164*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"answer", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "[", 
  RowBox[{"[", "1", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.647852572669365*^9, 3.647852579986931*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nx", " ", "ox"}], "+", 
  RowBox[{"ny", " ", "oy"}], "+", 
  RowBox[{"nz", " ", "oz"}], "+", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"nz", " ", "oy"}], "-", 
      RowBox[{"ny", " ", "oz"}]}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"nx", " ", "ox"}], "-", 
     RowBox[{"ny", " ", "oy"}], "-", 
     RowBox[{"nz", " ", "oz"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.647852575223826*^9, 3.647852580632724*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"answer", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "[", 
  RowBox[{"[", "2", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.647852616049034*^9, 3.6478526214949713`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "nz"}], " ", "ox"}], "+", 
     RowBox[{"nx", " ", "oz"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"nz", " ", "oy"}], "-", 
     RowBox[{"ny", " ", "oz"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"nx", " ", "ox"}], "-", 
     RowBox[{"ny", " ", "oy"}], "-", 
     RowBox[{"nz", " ", "oz"}]}], ")"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"ny", " ", "ox"}], "-", 
     RowBox[{"nx", " ", "oy"}]}], ")"}], " ", 
   SqrtBox[
    RowBox[{"1", "-", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"nx", " ", "ox"}], "+", 
        RowBox[{"ny", " ", "oy"}], "+", 
        RowBox[{"nz", " ", "oz"}]}], ")"}], "2"]}]]}]}]], "Output",
 CellChangeTimes->{3.647852622298234*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"answer", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "[", 
  RowBox[{"[", "3", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6478526228599367`*^9, 3.647852625790888*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"ny", " ", "ox"}], "-", 
     RowBox[{"nx", " ", "oy"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"nz", " ", "oy"}], "-", 
     RowBox[{"ny", " ", "oz"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"nx", " ", "ox"}], "-", 
     RowBox[{"ny", " ", "oy"}], "-", 
     RowBox[{"nz", " ", "oz"}]}], ")"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "nz"}], " ", "ox"}], "+", 
     RowBox[{"nx", " ", "oz"}]}], ")"}], " ", 
   SqrtBox[
    RowBox[{"1", "-", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"nx", " ", "ox"}], "+", 
        RowBox[{"ny", " ", "oy"}], "+", 
        RowBox[{"nz", " ", "oz"}]}], ")"}], "2"]}]]}]}]], "Output",
 CellChangeTimes->{3.647852626493391*^9}]
}, Open  ]]
},
WindowSize->{955, 728},
WindowMargins->{{Automatic, 76}, {Automatic, 39}},
FrontEndVersion->"10.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (December 4, \
2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 2550, 76, 131, "Input"],
Cell[3133, 100, 2339, 72, 79, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5509, 177, 216, 5, 28, "Input"],
Cell[5728, 184, 2711, 82, 80, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8476, 271, 214, 5, 28, "Input"],
Cell[8693, 278, 681, 19, 74, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9411, 302, 260, 6, 28, "Input"],
Cell[9674, 310, 870, 25, 74, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10581, 340, 262, 6, 28, "Input"],
Cell[10846, 348, 840, 24, 74, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11723, 377, 264, 6, 28, "Input"],
Cell[11990, 385, 839, 24, 74, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12866, 414, 304, 8, 28, "Input"],
Cell[13173, 424, 380, 13, 28, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13590, 442, 304, 8, 28, "Input"],
Cell[13897, 452, 213, 6, 28, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14147, 463, 435, 11, 28, "Input"],
Cell[14585, 476, 7283, 230, 274, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21905, 711, 200, 5, 28, "Input"],
Cell[22108, 718, 521, 16, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22666, 739, 202, 5, 28, "Input"],
Cell[22871, 746, 861, 30, 40, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23769, 781, 202, 5, 28, "Input"],
Cell[23974, 788, 861, 30, 40, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
